local revision = tonumber(("$Revision: 63020 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-27 02:03:53 -0500 (Wed, 27 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = Rock("LibRockLocale-1.0"):GetTranslationNamespace("ShakedownNECB")
L:AddTranslations("enUS", function() return {
    ["Natur EnemyCastBar"] = true,
} end)

local Addon = AddonBase:new("CECB_Options", L["Natur EnemyCastBar"])
if not Addon then return end
Rock("LibRockTimer-1.0"):Embed(Addon)

-- constants
local TIMER_FREQ = 21
local TIMER_ID = "CECBShakedown"

function Addon:Start()
    
    -- start the bars now
    self:Display()
    
    -- repeatedly schedule a new test display
    self:AddRepeatingTimer(TIMER_ID, TIMER_FREQ, self.Display, self)
    
end

function Addon:Stop()
    
    -- stop display scheduling
    self:RemoveTimer(TIMER_ID)

    -- stop the bars using the same method as the "movable bar" button in the options
    CEnemyCastBar_Handler("clear")

end

function Addon:Display()

    -- start the bars using the same method as the "movable bar" button in the options
    CEnemyCastBar_Options("show")    

end